call jsdoc ../backend/app/App.js -t "./diagram-template/" -d "./out/App.h"

call jsdoc ../backend/app/Config.js -t "./diagram-template/" -d "./out/Config.h"
call jsdoc ../backend/app/Db.js -t "./diagram-template/" -d "./out/Db.h"
call jsdoc ../backend/app/WebServer.js -t "./diagram-template/" -d "./out/WebServer.h"

call jsdoc ../backend/app/bl/GamesManager.js -t "./diagram-template/" -d "./out/bl/GamesManager.h"
call jsdoc ../backend/app/bl/RulesManager.js -t "./diagram-template/" -d "./out/bl/RulesManager.h"
call jsdoc ../backend/app/bl/GameObjectsManager.js -t "./diagram-template/" -d "./out/bl/GameObjectsManager.h"
call jsdoc ../backend/app/bl/ScenariosManager.js -t "./diagram-template/" -d "./out/bl/ScenariosManager.h"

call jsdoc ../backend/controllers/api/GameObjectsController.js -t "./diagram-template/" -d "./out/controllers/api/GameObjectsController.h"
call jsdoc ../backend/controllers/api/GamesController.js -t "./diagram-template/" -d "./out/controllers/api/GamesController.h"
call jsdoc ../backend/controllers/api/RulesController.js -t "./diagram-template/" -d "./out/controllers/api/RulesController.h"
call jsdoc ../backend/controllers/api/ScenariosController.js -t "./diagram-template/" -d "./out/controllers/api/ScenariosController.h"

call jsdoc ../backend/controllers/AssetController.js -t "./diagram-template/" -d "./out/controllers/AssetController.h"